#include "mssql.h"

#include <stdio.h>
#include <stdlib.h>

int
main(int argc, char **argv)
{
MSSQL *s;
int state;

	if (argc<3)
		return 1;

	s = allocMsSql();
	initIo(s,IO_SOCKET);
	if (argc > 3)
		s->verbose=1;
	
	connectMsSql(s, argv[1], 1433);

	doLogin(s,
	  "Test Client",
	  "sa",
	  "",
	  "00112233",
	  "","",
	  "us_english","iso_1");

	state=execDirect(s,argv[2]);

	if (state==ROW_READY)
		printColumnNames(s);

	while (state==ROW_READY) {
		printResult(s);
		state=nextTuple(s);
	}

	printStats(s);
	disconnectMsSql(s);

	return 0;
}
